import request from '@/utils/request'

// 查询报修单-领料出库单列表
export function listRepairFormMaterial(query) {
  return request({
    url: '/business/repairFormMaterial/list',
    method: 'get',
    params: query
  })
}

// 查询报修单-领料出库单详细
export function getRepairFormMaterial(id) {
  return request({
    url: '/business/repairFormMaterial/' + id,
    method: 'get'
  })
}

// 新增报修单-领料出库单
export function addRepairFormMaterial(data) {
  return request({
    url: '/business/repairFormMaterial',
    method: 'post',
    data: data
  })
}

// 修改报修单-领料出库单
export function updateRepairFormMaterial(data) {
  return request({
    url: '/business/repairFormMaterial',
    method: 'put',
    data: data
  })
}

// 删除报修单-领料出库单
export function delRepairFormMaterial(id) {
  return request({
    url: '/business/repairFormMaterial/' + id,
    method: 'delete'
  })
}
